%define module_name	ltmodem
%define module_version	8.26a9
%define module_release	alt11.6

%define kversion	2.4.29
%define krelease	alt6
%define flavour		std-up

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: %module_name modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: Distributable
Group: System/Kernel and hardware
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:   Linux
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name >= 8.26a9-alt3

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
Modules for Lucent/Agere based Winmodems

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc

export CC=gcc-"$GCC_VERSION"
gcc_major="$(echo "$GCC_VERSION" | cut -d. -f1)"
unset GCC_VERSION

%if "%kversion" <= "2.6.0"
# build for kernel 2.4
rename -2.4. . *
%make_build all GCCVERSION="$gcc_major" SYSINCLUDE=%_includedir/linux-%kversion-%flavour/include

%else
#build for kernel 2.6
rename -2.6. . *
%make_build GCCVERSION="$gcc_major" CC="$CC" TEMP_DIR=$PWD/ -C %_usrsrc/linux-%kversion-%flavour modules SUBDIRS=$PWD 
%endif

%install
%__mkdir -p $RPM_BUILD_ROOT/%module_dir


%if "%kversion" <= "2.6.0"
%__cp lt_modem.o lt_serial.o $RPM_BUILD_ROOT/%module_dir
%else
%__cp lt_modem.ko lt_serial.ko $RPM_BUILD_ROOT/%module_dir
%endif

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt11.6
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt10.6
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt9.6
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt8.6
- Rebuild for kernel 2.4.26.

* Mon Apr 26 2004 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt7.6
- Fixed %%install for 2.4.x.

* Thu Apr 15 2004 Andrey Rahmatullin <wrar@altlinux.ru> 8.26a9-alt6.6
- changed 2.4 build scheme (needed for kernel-source-ltmodem >= alt3,
  which is needed for building for 2.6)

* Sat Feb 28 2004 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt5.6
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Mon Feb 16 2004 Anton Farygin <rider@altlinux.ru> 8.26a9-alt4.6
- support for build for kernel 2.6

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt3.6
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 8.26a9-alt2.6
- Fixed spec file name.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 8.26a9-alt1.6
- imported to ALT Linux kernel CVS

* Thu Aug 28 2003 Andrey Rahmatullin <wrar@mail.ru> 8.26a9-wrar0.1
- first build
